<template>
  <div class="assessment">
    <div class="area">
      <ul class="circles">
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
      </ul>
      <div class="assessment-form">
        <div class="header3">KNOWLEDGE CHECK</div>
        <section class="test" v-if="!score">
          <ul class="quiz">
            <li>
              <h5>
                Among these, who has taken the initiative of Canadamark stones?
              </h5>
              <ul class="choices">
                <li>
                  <label
                    ><input type="radio" name="question0" value="GIA" /><span
                      >GIA</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question0"
                      value="FINESTAR"
                    /><span>FINESTAR</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question0"
                      value="FOREVERMARK"
                    /><span>FOREVERMARK</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question0"
                      value="DOMINION"
                    /><span>DOMINION</span></label
                  >
                </li>
              </ul>
            </li>
            <li>
              <h5>What is E stage on the website?</h5>
              <ul class="choices">
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question1"
                      value="Stones which are kept in Europe"
                    /><span>Stones which are kept in Europe</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question1"
                      value="Stones which are kept for emergency and cannot be
                      sold"
                    /><span
                      >Stones which are kept for emergency and cannot be
                      sold</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question1"
                      value="Stones which are made in Botswana"
                    /><span>Stones which are made in Botswana</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question1"
                      value="Stones which are kept for local market"
                    /><span>Stones which are kept for local market</span></label
                  >
                </li>
              </ul>
            </li>
            <li>
              <h5>What is DOR?</h5>
              <ul class="choices">
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question2"
                      value="Diamond origin rescue initiative by IGI"
                    /><span
                      >Diamond origin rescue initiative by IGI</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question2"
                      value="Diamond origin report initiative by FINESTAR"
                    /><span
                      >Diamond origin report initiative by FINESTAR</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question2"
                      value="Diamond origin rescue initiative by Forevermark"
                    /><span
                      >Diamond origin rescue initiative by Forevermark</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question2"
                      value="Diamond origin report initiative by GIA"
                    /><span
                      >Diamond origin report initiative by GIA</span
                    ></label
                  >
                </li>
              </ul>
            </li>
            <li>
              <h5>What is CN?</h5>
              <ul class="choices">
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question3"
                      value="Center natts"
                    /><span>Center natts</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question3"
                      value="Certificate number"
                    /><span>Certificate number</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question3"
                      value="Center number"
                    /><span>Center number</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question3"
                      value="Client number"
                    /><span>Client number</span></label
                  >
                </li>
              </ul>
            </li>
            <li>
              <h5>
                How much percent do we charge on a cash transaction over $5000
                in Hong Kong?
              </h5>
              <ul class="choices">
                <li>
                  <label
                    ><input type="radio" name="question4" value="0.25%" /><span
                      >0.25%</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input type="radio" name="question4" value="0.36%" /><span
                      >0.36%</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input type="radio" name="question4" value="0.35%" /><span
                      >0.35%</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input type="radio" name="question4" value="0.45%" /><span
                      >0.45%</span
                    ></label
                  >
                </li>
              </ul>
            </li>
          </ul>
        </section>
        <section class="score" v-else>
          <!-- <ul class="quiz"> -->
          <div class="quiz-section">
            <div class="row">
              <div class="col-1">
                <b-badge class="tag">Correct</b-badge>
              </div>
              <div class="col-11">
                <h5>
                  Among these, who has taken the initiative of Canadamark
                  stones?
                </h5>
              </div>
            </div>
            <div class="row">
              <div class="col-1">answer:</div>
              <div class="col-11 ans"></div>
            </div>
          </div>
          <div class="quiz-section">
            <div class="row">
              <div class="col-1">
                <b-badge class="tag">Correct</b-badge>
              </div>
              <div class="col-11">
                <h5>What is E stage on the website?</h5>
              </div>
            </div>
            <div class="row">
              <div class="col-1">answer:</div>
              <div class="col-11 ans"></div>
            </div>
          </div>
          <div class="quiz-section">
            <div class="row">
              <div class="col-1">
                <b-badge class="tag">Correct</b-badge>
              </div>
              <div class="col-11">
                <h5>What is DOR?</h5>
              </div>
            </div>
            <div class="row">
              <div class="col-1">answer:</div>
              <div class="col-11 ans"></div>
            </div>
          </div>
          <div class="quiz-section">
            <div class="row">
              <div class="col-1">
                <b-badge class="tag">Correct</b-badge>
              </div>
              <div class="col-11">
                <h5>What is CN?</h5>
              </div>
            </div>
            <div class="row">
              <div class="col-1">answer:</div>
              <div class="col-11 ans"></div>
            </div>
          </div>
          <div class="quiz-section">
            <div class="row">
              <div class="col-1">
                <b-badge class="tag">Incorrect</b-badge>
              </div>
              <div class="col-11">
                <h5>
                  How much percent do we charge on a cash transaction over $5000
                  in Hong Kong?
                </h5>
              </div>
            </div>
            <div class="row">
              <div class="col-1">answer:</div>
              <div class="col-11 ans"></div>
            </div>
          </div>
        </section>

        <div class="quiz-section mt-4 mb-4">
          <div class="row">
            <span id="myresults" class="my-results col-12"
              >Your results will appear here</span
            >
          </div>
        </div>
        <div class="assement_btns pb-4">
          <button
            id="back"
            class="buttons prev"
            @click="$router.push('/chapter_one')"
          >
            Back
          </button>
          <button id="submit" class="buttons next" @click="submit()">
            Submit
          </button>
          <button
            id="next"
            class="buttons next"
            v-show="next || count > 1"
            @click="$router.push('/chapter_two')"
          >
            Next
          </button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { stores } from ".././main";
export default {
  data: function () {
    return {
      count: stores.state.count,
      next: false,
      answer: [
        "GIA",
        "Stones which are kept in Europe",
        "Diamond origin rescue initiative by IGI",
        "Center natts",
        "0.25%",
      ],
      ans: [
        "GIA",
        "Stones which are made in Botswana",
        "Diamond origin report initiative by FINESTAR",
        "Center natts",
        "0.35%",
      ],
      selected_answers: [],
      score: false,
      ans_bool: [],
    };
  },
  methods: {
    getCheckedValue(radioName) {
      var radios = document.getElementsByName(radioName); // Get radio group by-name
      for (var y = 0; y < radios.length; y++) {
        if (radios[y].checked) {
          return radios[y].value;
        } // return the checked value
      }
    },
    getSelectedAns(radioName) {
      var radios = document.getElementsByName(radioName); // Get radio group by-name
      for (var y = 0; y < radios.length; y++) {
        if (radios[y].checked) {
          this.selected_answers.push(radios[y].value);
        }
      }
    },
    getScore() {
      var score = 0;
      for (var i = 0; i < this.answer.length; i++)
        if (this.getCheckedValue("question" + i) === this.answer[i]) {
          score += 1;
          this.ans_bool.push(
            this.getCheckedValue("question" + i) == this.answer[i]
          );
        } else {
          this.ans_bool.push(
            this.getCheckedValue("question" + i) == this.answer[i]
          );
        }
      return score;
    },
    showAnswers() {
      var divs = document.querySelectorAll(".ans");
      var tags = document.querySelectorAll(".tag");
      for (var index = 0; index < this.ans_bool.length; ++index) {
        divs[index].innerHTML = this.selected_answers[index];
        if (this.ans_bool[index]) {
          tags[index].innerHTML = "Correct";
          tags[index].classList.add("badge-success");
        } else {
          tags[index].innerHTML = "Incorrect";
          tags[index].classList.add("badge-danger");
        }
      }
    },
    submit() {
      this.score = true;
      document.getElementById("myresults").innerHTML =
        "Your score is " + this.getScore() + "/" + this.answer.length;
      for (var i = 0; i < this.answer.length; i++) {
        this.getSelectedAns("question" + i);
      }
      console.log("selected_answers->", this.selected_answers);
      setTimeout(() => {
        this.showAnswers();
      }, 1000);
      if (this.getScore() == this.answer.length) {
        stores.dispatch("setLevel", "chapter_two");
        stores.dispatch("setCount", 2);
        this.next = true;
      }
    },
  },
};
</script>

<style scoped>
.assement_btns {
  text-align: center;
}
.header3 {
  background: #000;
  color: #c09e7c;
  padding: 0.2em;
  margin-bottom: 40px;
  font-family: "Helvetica";
  font-size: 40px;
  font-weight: bold;
  letter-spacing: -1px;
  line-height: 1;
  text-align: center;
}

.assessment {
  position: relative;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}
.assessment-form {
  z-index: 5;
  background-image: url("../assets/logo_new_3.png");
  background-size: 500px 200px;
  background-repeat: no-repeat;
  background-position: center;
  background-color: #fff;
  width: 80%;
  padding: 1em;
  position: absolute;
  border-radius: 20px;
  left: 50%;
  transform: translateX(-50%);
  margin: 2em 0;
}
.score {
  min-height: 800px;
}
.score .quiz-section {
  margin-bottom: 50px;
}
.button6 {
  color: #2b030e;
  margin: 0 5px;
}
.button6:hover {
  transform: scale(0.9, 0.9) translate(0px, 5px);

  filter: drop-shadow(0px 0px 10px);
}
.button6:active {
  background: #3f444c;
}
.button6:focus {
  outline: 50px;
}
.button6 {
  cursor: pointer;
  line-height: 0.1em;
  font-family: "Poor Story", light;
  filter: drop-shadow(18px 18px 3px rgba(0, 0, 0, 0.4));
  /* position: fixed; */
  bottom: 1em;
  font-size: 20px;
  background: rgba(43, 43, 43, 0.31);
  border-style: solid;
  border-color: #252528;
  border-radius: 9px;
  border-width: 1px;
  z-index: 5;
  transition: all 0.2s ease-in-out;
  padding: 1em;
}
.buttons {
  box-shadow: 5px 10px 18px #888888;
  cursor: pointer;
  line-height: 0.1em;
  bottom: 1em;
  font-size: 20px;
  z-index: 5;
  padding: 1em;
  background: #c09e7c;
  border: none;
  border-radius: 20px;
  color: #fff;
  margin: 0 5px;
}
.buttons:active {
  transform: scale(0.9, 0.9) translate(0px, 5px);
  filter: drop-shadow(0px 0px 10px);
}
.quiz,
.choices {
  list-style-type: none;
  padding: 0;
}

.choices li {
  margin-bottom: 5px;
}

.choices label {
  display: flex;
  align-items: center;
}

.choices label,
input[type="radio"] {
  cursor: pointer;
}

input[type="radio"] {
  margin-right: 8px;
}

.view-results {
  padding: 1rem;
  cursor: pointer;
  font-size: inherit;
  color: white;
  background: teal;
  border-radius: 8px;
  margin-right: 5px;
}

.my-results {
  padding: 1rem;
  border: 1px solid goldenrod;
  text-align: center;
}

.area {
  background: #0d0d0d;
  background: -webkit-linear-gradient(to left, #0d0d0d, #0d0d0d);
  width: 100%;
  height: 180vh;
  align-items: center;
  justify-content: center;
}

.circles {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.circles li {
  position: absolute;
  display: block;
  list-style: none;
  width: 20px;
  height: 20px;
  /* background: rgba(255, 255, 255, 0.2); */
  background: rgba(179, 152, 0, 0.2);
  animation: animate 50s linear infinite;
  bottom: -150px;
}

.circles li:nth-child(1) {
  left: 25%;
  width: 80px;
  height: 80px;
  animation-delay: 0s;
}

.circles li:nth-child(2) {
  left: 10%;
  width: 20px;
  height: 20px;
  animation-delay: 2s;
  animation-duration: 20s;
}

.circles li:nth-child(3) {
  left: 70%;
  width: 70px;
  height: 70px;
  animation-delay: 4s;
}

.circles li:nth-child(4) {
  left: 40%;
  width: 140px;
  height: 140px;
  animation-delay: 0s;
  animation-duration: 18s;
}

.circles li:nth-child(5) {
  left: 65%;
  width: 20px;
  height: 20px;
  animation-delay: 0s;
}

.circles li:nth-child(6) {
  left: 75%;
  width: 110px;
  height: 110px;
  animation-delay: 3s;
}

.circles li:nth-child(7) {
  left: 35%;
  width: 150px;
  height: 150px;
  animation-delay: 35s;
}

.circles li:nth-child(8) {
  left: 50%;
  width: 45px;
  height: 45px;
  animation-delay: 15s;
  animation-duration: 45s;
}

.circles li:nth-child(9) {
  left: 20%;
  width: 35px;
  height: 35px;
  animation-delay: 2s;
  animation-duration: 35s;
}

.circles li:nth-child(10) {
  left: 85%;
  width: 150px;
  height: 150px;
  animation-delay: 0s;
  animation-duration: 11s;
}
.circles li:nth-child(11) {
  right: 85%;
  width: 100px;
  height: 100px;
  animation-delay: 2s;
  animation-duration: 55s;
}
.circles li:nth-child(12) {
  right: 70%;
  width: 120px;
  height: 120px;
  animation-delay: 4s;
  animation-duration: 20s;
}
.circles li:nth-child(13) {
  right: 10%;
  width: 170px;
  height: 170px;
  animation-delay: 4s;
  animation-duration: 20s;
}
.circles li:nth-child(14) {
  right: 20%;
  width: 110px;
  height: 110px;
  animation-delay: 3s;
  animation-duration: 15s;
}
.circles li:nth-child(15) {
  right: 40%;
  width: 120px;
  height: 120px;
  animation-delay: 2s;
  animation-duration: 25s;
}
.circles li:nth-child(16) {
  left: 10%;
  width: 170px;
  height: 170px;
  animation-delay: 0s;
  animation-duration: 20s;
}

@keyframes animate {
  0% {
    transform: translateY(0) rotate(0deg);
    opacity: 1;
    border-radius: 0;
  }

  100% {
    transform: translateY(-1000px) rotate(720deg);
    opacity: 1;
    border-radius: 40%;
  }
}
</style>